Loading...
Searching...
No Matches
MB_DevIdMsgTypeDef Struct Reference
Modbus tools » Modbus Internal Tools » Modbus Message Tools

Structure for device identifications message type. More...

`#include <modbus_core.h>`

## Public Attributes

MB_MEITypeDef | MEI_Type
| MEI Type assigned number for Device Identifications Interface.
ReadDevId | ReadDevId
uint8_t | Conformity
| Identification conformity level of the device and type of supported access MODBUS_DEVICE_CONFORMITY.
uint8_t | MoreFollows
uint8_t | NextObjId
uint8_t | NumbOfObj

## Detailed Description

Structure for device identifications message type.

Definition at line 164 of file modbus_core.h.

## Member Data Documentation

## MEI_Type

MB_MEITypeDef MB_DevIdMsgTypeDef::MEI_Type

MEI Type assigned number for Device Identifications Interface.

Definition at line 166 of file modbus_core.h.

## ReadDevId

ReadDevId MB_DevIdMsgTypeDef::ReadDevId

Definition at line 167 of file modbus_core.h.

## Conformity

uint8_t MB_DevIdMsgTypeDef::Conformity

Identification conformity level of the device and type of supported access MODBUS_DEVICE_CONFORMITY.

Definition at line 168 of file modbus_core.h.

## MoreFollows

uint8_t MB_DevIdMsgTypeDef::MoreFollows

Definition at line 169 of file modbus_core.h.

## NextObjId

uint8_t MB_DevIdMsgTypeDef::NextObjId

Definition at line 170 of file modbus_core.h.

## NumbOfObj

uint8_t MB_DevIdMsgTypeDef::NumbOfObj

Definition at line 171 of file modbus_core.h.

The documentation for this struct was generated from the following file:

- E:/.WORK/STM32/Diod_Test/diode_tester/Core/Modbus/Inc/modbus_core.h